# Copyright (c) 2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%{!?python2_sitelib:  %global python2_sitelib  %(python2 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Summary:		Video Images Slideshow
Name:			videoporama
Version:		0.8.1
Release:		pm152.6.2
License: GPL-2.0
Group:			Productivity/Graphics/Viewers
Source:			%{name}-%{version}.tar.bz2
Source90:		%{name}-rpmlintrc
URL:	  	 	http://www.videoporama.tuxfamily.org/
BuildArch:		noarch
BuildRequires:	fdupes
BuildRequires:	pkgconfig(python2)
BuildRequires:	update-desktop-files
Requires:		ffmpeg
Requires:		mjpegtools
Requires:		MPlayer
Requires:		python2-Pillow
Requires:		python2-qt4
Requires:		sox
Recommends:     python-pyexiv2

%description
Videoporama is a software designed to make image slideshow, export
to video file.

It's given under the GPL V2 or above licence and it's given without
any warranty.

Following options are available :
* With or without transitions between images.
* Ken Burns effect
* Preview with MPlayer
* Image geometry : 4:3 or 16:9
* Display time is set image by image
* Transition type is defined image by image.
* Add a sound to slideshow (wav, ogg ou mp3)
* Output in PAL (720x576), NTSC (720x480), SECAM (720x576),
  Web (384x288), HD 720 (1280x720) ou HD 1080 (1920x1080)
* Output file format : Raw dv (.dv), AVI (codec dv), MPEG (VCD,
  SVCD et DVD), FLV (Flash video format) et H264 (MPEG4 part 10 AVC).
* Add a background image (For images which are in portrait)
  or add a background color.

Since version 0.7, it can also export in flv and h264 (mpeg4 part
10 AVC) and in different resolution, from 384x288 to 1920x1080
full HD.

%prep
%autosetup -p1

%build
touch help/help_en_V0.7.odt help/help_fr_V0.7.odt
chmod 644 README
python2 setup.py build

%install
python2 setup.py install \
	--skip-build \
	--root=%{buildroot} \
	--prefix=%{_prefix}

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 icons/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps

# menu-entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=Videoporama
GenericName=Videoporama
Comment=Videoporama - A video images slideshow
Icon=%{name}
Exec=%{name}
Categories=Graphics;Viewer;
EOF
%suse_update_desktop_file -i %{name} Graphics Viewer

find %{buildroot}%{_datadir}/%{name} -type f -exec chmod -v 644 "{}" +

rm    %{buildroot}%{_datadir}/%{name}/INSTALL
rm    %{buildroot}%{_datadir}/%{name}/README
rm -rfv %{buildroot}%{python2_sitelib}

%fdupes -s %{buildroot}

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Jul 21 2020 Fridrich Strba <fridrich.strba@bluewin.ch>
- Use explicitely the python2 macros in order to fix TW build
* Sat Mar 12 2011 detlef@links2linux.de
- update to 0.8.1
* Sun Jul 25 2010 pascal.bleser@opensuse.org
- update to 0.8.0:
  * a Ken Burns effect was added with any point you wish and with a fixed plan during the effect
  * thumbnails with transition type are displayed
  * a new textbox was added for three differents text types: overlaid text, background text, and text on a fixed plan
  * the user documentation is now included inside Videoporama
  * an easier way to define the output format based on device and model was added
  * new export formats include webm and mp4
* Thu Oct 15 2009 toni@links2linux.de
- update to 0.7.6
- A video player based on MPlayer was added. New export formats were added: XVid,
  Ogg Theora, and MJPEG. 640x480 was added as a new resolution. A dependencies
  check and error messages were added.
* Mon May 25 2009 toni@links2linux.de
- update to 0.7.5
* Sun May 24 2009 toni@links2linux.de
- update to 0.7.4
* Fri May 22 2009 toni@links2linux.de
- update to 0.7.3
* Sun May 10 2009 toni@links2linux.de
- change rights for installed template to make it world-writable
* Tue Feb 17 2009 toni@links2linux.de
- update to 0.7.1
* Fri Jan 30 2009 toni@links2linux.de
- initial build 0.7
